• Kara Utter

    (@geoidinthesky1)


    I installed the plugin today and immediately was blocked out of my wordpress site with a fatal error. I had to sign in via recovery mode and deactivate your plugin before I could get my site back up and running. Would really like to use your plugin – is there a fix for this?

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author yarpp

    (@jeffparker)

    @geoidinthesky1 We are very sorry that this happened to you. It’s not normal. Would you happen to have access to the errors logs? What was the exact error?

    I am trying to update some legacy WP installments. When updating to the newest plugin version v5.18.2 I encountered a fatal error too. The WP version requirement for this plugin is set to WP 3.7.

    Beginning with plugin v5.18.1 I assume that function wp_get_additional_image_sizes() is being used. But this function was introduced much later in WP 4.7. Maybe the plugin author can update the WP version requirement.

    Plugin Author yarpp

    (@jeffparker)

    @jochent Thank you for identifying the issue. We’re working on a backward-compatible fix to WP 3.7. Hope to release either this week or early next, depending on when the fix is ready.

    Thread Starter Kara Utter

    (@geoidinthesky1)

    I responded to your question in the email, I don’t think you received it. This is the message sent to me by WordPress:

    When seeking help with this issue, you may be asked for some of the following information:
    WordPress version 5.6.2
    Current theme: soledad (version 2.4.3)
    Current plugin: Yet Another Related Posts Plugin (YARPP) (version 5.18.2)
    PHP version 7.3.27-9+ubuntu18.04.1+deb.sury.org+1
    Error Details
    =============
    An error of type E_ERROR was caused in line 59 of the file /nas/content/live/geospatialtrai/wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Widget.php. Error message: Uncaught Error: Call to a member function get_option() on null in /nas/content/live/geospatialtrai/wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Widget.php:59
    Stack trace:
    #0 /nas/content/live/geospatialtrai/wp-content/plugins/designthemes-core-features/page-builder/pagebuilder.php(149): YARPP_Widget->form(Array)
    #1 /nas/content/live/geospatialtrai/wp-includes/class-wp-hook.php(287): DTPageBuilder->dtthemes_modules_init('')
    #2 /nas/content/live/geospatialtrai/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array)
    #3 /nas/content/live/geospatialtrai/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #4 /nas/content/live/geospatialtrai/wp-settings.php(557): do_action('init')
    #5 /nas/content/live/geospatialtrai/wp-config.php(125): require_once('/nas/content/li...')
    #6 /nas/content/live/geospatialtrai/wp-load.php(37): require_once('/nas/content/li...')
    #7 /nas/content/live/geospatialtrai/wp-admin/admin.php(34): require_once('/nas/content/li...')
    #8 /nas/content/live/geospa
    Plugin Author yarpp

    (@jeffparker)

    @jochent can you please upgrade to the latest version of YARPP (5.19.0 or newer) to see if the issue resolves for you?

    https://wordpress.org/plugins/yet-another-related-posts-plugin/#developers

    @geoidinthesky1 for some reason I did not receive your email. Thank you for sharing this information. If possible, it would be really helpful if you can share a copy of the designthemes-core-features/ plugin so we can try to replicate the issue on our end. jay at yarpp dot com @mnelson4 will be following up with additional questions.

    Thank you for the fast update. I’ve upgraded the plugin and the site is working properly again.

    Plugin Author yarpp

    (@jeffparker)

    @jochent You’re welcome and thank you for confirming!

    @geoidinthesky1 ping!

    Thread Starter Kara Utter

    (@geoidinthesky1)

    @yarpp @mnelson4 I’m not sure how to download a copy? On the installed plugins page all I see is the option to deactivate. Where do I go to download?

    • This reply was modified 4 months, 3 weeks ago by Kara Utter.
    Plugin Author Michael Nelson

    (@mnelson4)

    Hi @geoidinthesky1, the error you were getting was actually different from what the other user was reporting and I doubt it was fixed in 5.19.0 like theirs was.

    We’ve had trouble making that same error happen because it has something to do with the pagebuilder plugin you have active (in your error message its referred to as “DesignThemes” or “DTPagebuilder”) which we can’t find.

    Nevertheless, we have a slightly modified version that might fix the problem for you. Here’s how you can try it:

    1. Download the new version from here: https://drive.google.com/file/d/1uYyE6R5Ak25DpKPIID-21Aw1IfVcleBW/view?usp=sharing
    2. Go to your WordPress dashboard, click plugins, then “add new”, then “upload” and select the zip file you just downloaded
    3. Deactivate the previous version of YARPP
    4. Activate the new version of YARPP (1.19.1)

    Then you should be able to use YARPP as normal without the error.

    If that doesn’t work, we’ll need to ask for more details about your setup and the error.

    Plugin Author yarpp

    (@jeffparker)

    @geoidinthesky1 do let us know if the version of YARPP that @mnelson4 has shared above resolves the issue you are running into.

    Plugin Author yarpp

    (@jeffparker)

    @geoidinthesky1 ping! Do let us know if you have questions or need help with uploading the test version. We’re hoping you can give it a go, and once we get your confirmation that the fix worked for your case, we’ll release the fix in the next main release of YARPP!

    Thread Starter Kara Utter

    (@geoidinthesky1)

    Hi, the link that @mnelson4 sent to me loaded version 5.19 instead of 1.19 when I loaded the zip file and activated. Still caused a fatal error so I had to deactivate and delete it to get our website up and running again.

    Plugin Author yarpp

    (@jeffparker)

    Hi @geoidinthesky1

    Who is your host? Do you have FTP access by any chance?

    It would greatly speed up troubleshooting if we could access the admin to troubleshoot, in case that is possible? – jay at yarpp dot com.

    Thread Starter Kara Utter

    (@geoidinthesky1)

    If hostingchecker.com is right, then it is hosted by CloudFlare, Inc. I did not create it, I have just taken over maintaining portions of it.

    Plugin Author yarpp

    (@jeffparker)

    Hi @geoidinthesky1 Cloudflare would be setup in front of the host as the DNS/firewall layer. The host i.e. where your files/site/WordPress is hosted would be different. If you can get us access, we would be able to troubleshoot this quickly.

Viewing 15 replies - 1 through 15 (of 16 total)
  • You must be logged in to reply to this topic.